#
# spec file for package python-scan-build
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-scan-build
Version:        2.0.6
Release:        1.1
License:        MIT
Summary:        static code analyzer wrapper for Clang
Url:            https://github.com/rizsotto/scan-build
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/15/33/675e306546e53208e370a3ba963a43784f66b709e4ac07884c282bf65d7e/scan-build-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description

scan-build
==========

A package designed to wrap a build so that all calls to gcc/clang are
intercepted and logged into a `compilation database`_ and/or piped to
the clang static analyzer. Includes intercept-build tool, which logs
the build, as well as scan-build tool, which logs the build and runs
the clang static analyzer on it.


%prep

%setup -q -n scan-build-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.txt LICENSE.txt README.rst
%{_bindir}/analyze-build
%{_bindir}/intercept-cc
%{_bindir}/analyze-cc
%{_bindir}/intercept-build
%{_bindir}/intercept-c++
%{_bindir}/analyze-c++
%{_bindir}/scan-build
%{python_sitelib}/*

%changelog
